#
# GAL9B/sbd.mk: Galileo-9 (R4640, big-endian)
#

SBDDIRS		=../GAL9B
SBDFLAGS  	=-DGAL9 -DINET
KITFLAGS	=-DALGPMON -DENVOFF_BASE=10
ENDIAN		=-EB
CPU	  	=r4k
CPUVARIANT	=r4640
ISA		=-mips2
FPU		=single
TLB		=no
PCI		=yes

NVENV		=flashenv

SBDSRC		=sbdfreq.c sbdfrom.c \
		 sbdmisc.sx sbdpci.c sbdreset.sx sbdser.sx \
		 sbdflashenv.c flashrom.c

SBDLOW		=sbdreset.o sbdser.o sbdmisc.o

SBDOBJ		=sbdser.o sbdmisc.o \
		 sbdfreq.o sbdfrom.o sbdpci.o sbdflashenv.o \
		 flashrom.o r4kclock.o 

SBDFEATURES	=flashdev

MONITOR		=pmon

# define lowest safe address for downloadable programs (cached & uncached)
DLBASE_C	=80020000
DLBASE_U	=a0020000

# can't run cached from ROM
ROM_C		=bfc00000
