#
# IDT460B/sbd.mk: IDT 79S460 board (big-endian)
#
# This is in fact the Algorithmics P4000 board, but with an IDT/sim
# PROM fitted.  
#
# Compile with -mips3 so as to support 64-bit exception handling and
# all 32 floating-point registers, but select -mgp32 (32-bit integer
# registers) to reduce stack overhead.
#

include $(KITDIR)/P4000B/sbd.mk
MONITOR		=idtsim
CPUVARIANT	=r4600
ISA		=-mips3 -mgp32
