#
# IDTACASIMB/sbd.mk: IDT Acacia simulator "board" description (big-endian)
#

SBDDIRS		=../IDTACASIMB
SBDFLAGS  	=-DACACIASIM

# You can either override board parameters here, or in sbd.h.
# To do it in this file, uncommment the following line
#KITFLAGS	=-DACACIA_DRAMSIZE=0x2000000 -DACACIA_HZ=40000000

CPU		=4kc
ISA		=-mips32
TLB		=m32
CACHES		=m32
FPU		=no
ENDIAN	  	=-EB

SBDSRC		=sbdser.sx sbdmisc.sx 

SBDOBJ		=sbdser.o sbdmisc.o r4kclock.o

SBDLOW		=sbdreset.o sbdser.o sbdmisc.o

# Never call a PROM monitor, we are always a "bare board"
MONITOR		=bare
