#
# LSIPR/sbd.mk: LSI Logic Pocket Rocket
#
# This board can be fitted with either of the LR33000 or LR33050.
# The '050 has an fpu, but the '000 does not.  
# If your board has the '000 fitted, then change the definition
# of FPU to "no".
#

SBDDIRS		=.
SBDFLAGS  	=-DLSIPR
CPU	  	=r3k
CPUVARIANT	=lr33k
TLB		=no
CACHES		=lr30
WPOINTS		=r3k
FPU		=maybe

SBDSRC		=sbdreset.sx sbdser.sx sbdmisc.sx sbdclock.c
SBDLOW		=sbdreset.o sbdser.o sbdmisc.o
SBDOBJ		=sbdser.o sbdmisc.o sbdclock.o
MONITOR		=pmon

# define lowest safe address for downloadable programs (cached & uncached)
DLBASE_C	=80020000
DLBASE_U	=a0020000
