#
# MALTA32BJ/sbd.mk: MTI Malta board, MIPS32, soft-float, big-endian
# EJTAG with MDI i/o version
#

include $(KITDIR)/malta/sbdmdi.mk

CPU		=4kc
ISA		=-mips32
FPU		=no
ENDIAN		=-EB

# Supports ThreadX
THREADFEATURES	+=threadx

# Supports ThreadX applications with only 'main' entry-points
THREADFEATURES  +=tx_main

# Supports ThreadX applications using the EL POSIX layer with only
# 'main' entry-points
THREADFEATURES  +=tx_posix
