#
# MALTA32MTFL/sbd.mk: MALTA MIPS32r2, hard-float, multi-threading, little-endian
# CPUs: 34Kf
# 
# ThreadX can support h/w FPU.
#
include $(KITDIR)/malta/sbd.mk
CPU		=34kf
ISA		=-mips32r2
FPU		=maybe
ENDIAN	  	=-EL

# Supports ThreadX
THREADFEATURES	+=threadx

# Supports ThreadX applications with only 'main' entry-points
THREADFEATURES  +=tx_main

# Supports ThreadX applications using the EL POSIX layer with only
# 'main' entry-points
THREADFEATURES  +=tx_posix
