#
# MALTA32MTFLJ/sbd.mk: MALTA MIPS32r2, hard-float, multi-threading, little-endian
# EJTAG with MDI i/o version
# CPUs: 34Kf
# 
# ThreadX can support h/w FPU.

include $(KITDIR)/malta/sbdmdi.mk
CPU		=34kf
ISA		=-mips32r2
FPU		=maybe
ENDIAN	  	=-EL

# Supports ThreadX
THREADFEATURES	+=threadx

# Supports ThreadX applications with only 'main' entry-points
THREADFEATURES  +=tx_main

# Supports ThreadX applications using the EL POSIX layer with only
# 'main' entry-points
THREADFEATURES  +=tx_posix
