#
# MALTA32R2FLJ/sbd.mk: MTI Malta board, MIPS32, hard-float, little-endian
# EJTAG with MDI i/o version
#

include $(KITDIR)/malta/sbdmdi.mk

CPU		=24kf
ISA		=-mips32r2
FPU		=-mfp64
ENDIAN		=-EL

# Supports ThreadX
THREADFEATURES	+=threadx

# Supports ThreadX applications with only 'main' entry-points
THREADFEATURES  +=tx_main

# Supports ThreadX applications using the EL POSIX layer with only
# 'main' entry-points
THREADFEATURES  +=tx_posix
