#
# MALTA32R2LJ/sbd.mk: MTI Malta board, MIPS32R2, soft-float, little-endian
# EJTAG with MDI i/o version
#

include $(KITDIR)/malta/sbdmdi.mk

CPU		=4kec
ISA		=-mips32r2
FPU		=no
ENDIAN		=-EL

# Supports ThreadX
THREADFEATURES	+=threadx

# Supports ThreadX applications with only 'main' entry-points
THREADFEATURES  +=tx_main

# Supports ThreadX applications using the EL POSIX layer with only
# 'main' entry-points
THREADFEATURES  +=tx_posix
