#
# MSIM32R2FL/sbd.mk: MIPSsim, MIPS32R2, hard-float, little-endian
#

include $(KITDIR)/mipssim/sbd.mk

CPU		=24kf
ISA		=-mips32r2
FPU		=-mfp64
ENDIAN		=-EL

# Supports ThreadX
THREADFEATURES	+=threadx

# Supports ThreadX applications with only 'main' entry-points
THREADFEATURES  +=tx_main

# Supports ThreadX applications using the EL POSIX layer with only
# 'main' entry-points
THREADFEATURES  +=tx_posix
