#
# NEC41XX/sbd.mk: NEC Vr41xx Unified Eval Board (Vr4102, little endian)
#

SBDDIRS		=../NEC41XX
SBDFLAGS  	=
KITFLAGS	=-DALGPMON

CPU	  	=r4k
FPU		=no
CPUVARIANT	=vr4100
ISA		=-mips3 -mgp32

ENDIAN		=-EL

MONITOR		=pmon

#NVENV		=flashenv

SBDSRC		=sbdfreq.c sbdmisc.sx sbdreset.sx sbdser.sx \
		 sbdtod.c sbdfrom.c flashrom.c

SBDLOW		=sbdreset.o sbdser.o sbdmisc.o

SBDOBJ		=sbdser.o sbdmisc.o sbdfreq.o \
		 sbdtod.o sbdfrom.o flashrom.o r4kclock.o

SBDFEATURES	=flashdev

# define lowest safe address for downloadable programs (cached & uncached)
DLBASE_C	=80020000
DLBASE_U	=a0020000
