#
# P5000L/sbd.mk: Algorithmics P5064 (R5000, little-endian)
#
# This is the "generic" flavour of P5064 kit which supports
# all 64-bit CPU modules (i.e. not Jalgo, see ../JALGOL)
#
# Note: use -mips4 instruction set, but 32-bit integers.
#
include $(KITDIR)/p5064/sbd.mk

CPU		=r5k
CACHES		=r5k rm7k r54
WPOINTS		=r5k rm7k r4k
CPUVARIANT	=
ISA		=-mips4 -mgp32
ENDIAN	  	=-EL
FPU		=yes
