#
# kit/R3KEMU/sbd.mk: MIPS SDE R3000 emulator (big-endian)
#

SBDDIRS		=../R3KEMU
SBDFLAGS  	=-DR3KEMU -D__SIM
CPU	  	=r3k
CPUVARIANT	=#r3kemu
FPU		=no
ISA		=-mips1
ENDIAN	  	=-EB

SBDSRC		=sbdreset.sx sbdser.sx sbdmisc.sx sbdclock.c sbdtime.c
SBDLOW		=sbdreset.o sbdser.o sbdmisc.o 
SBDOBJ		=sbdser.o sbdmisc.o sbdclock.o sbdtime.o
MONITOR		=r3kemon
BAREMON		=r3kemon

# define lowest safe address for downloadable programs (cached & uncached)
DLBASE_C	=80000200
DLBASE_U	=a0000200
