#
# COGENT/sbd.mk: Cogent CMA101 board
#

SBDDIRS		=.:../COGENT
SBDFLAGS  	=-DCOGENT
KITFLAGS  	=-DPKGINFO -DALGPMON
CPU	  	=r4k
FPU		=yes
ISA		=-mips2

SBDSRC		=sbdreset.sx sbdser.sx sbdmisc.sx \
		 sbdtime.c display.c

SBDLOW		=sbdreset.o sbdser.o sbdmisc.o

SBDOBJ		=sbdser.o sbdmisc.o sbdtime.o display.o r4kclock.o

MONITOR		=pmon

#ROMDLFMT	=sbin
#ROMDLSPLIT	=.byte

# define lowest safe address for downloadable programs (cached & uncached)
DLBASE_C	=80020000
DLBASE_U	=a0020000
