#
# IDT134B/sbd.mk: IDT 79S134 board RC32364+RC32134 (big-endian)
#
# NOTE: You must explicitly enable the on-chip timer interrupts 
# on this board!  See the board manual.
#

SBDDIRS		=../IDT134B
SBDFLAGS  	=-DIDT134 -DINET

CPU	  	=r4k
CP0	  	=r4k
CACHES		=rc32
WPOINTS		=r4650
FPU		=no
CPUVARIANT	=rc3236x
ISA		=-mips32

ENDIAN		=-EB

MONITOR		=idtsim

# EEROM nvram interface not implemented yet
#NVENV		=nvenv
NVENV		=noenv

SBDSRC		=sbdfreq.c sbdclock.c sbdmisc.sx 

# Low-level power-on boot code (sbdreset) not implemented yet
#SBDLOW		=sbdreset.o sbdser.o sbdmisc.o

SBDOBJ		=sbdfreq.o sbdclock.o sbdser.o sbdmisc.o 

# Flash support not implemented yet
#SBDFEATURES	=flashdev

# define base address for downloadable programs (cached & uncached)
DLBASE_C	=80900000
DLBASE_U	=a0900000
