#
# IDT361/sbd.mk: IDT 79RS361 board in big-endian mode
#

SBDDIRS		=../IDT361
SBDFLAGS  	=-DIDT361 -DINET -UHWREFRESH -DEXTREFRESH
CPU	  	=r3k
CPUVARIANT	=r36100
ENDIAN		=-EB
FPU		=no
ISA		=-mips1

SBDSRC		=sbdfreq.c sbdmisc.sx sbdreset.sx sbdser.sx \
		 sbdfrom.c sbdbfrom.c sbdwfrom.c

SBDLOW		=sbdreset.o sbdser.o sbdmisc.o

SBDOBJ		=sbdser.o sbdmisc.o sbdfreq.o \
		 sbdfrom.o sbdbfrom.o sbdwfrom.o \
		 r361clk.o

SBDFEATURES	=flashdev

MONITOR		=idtsim

# define lowest safe address for downloadable programs (cached & uncached)
DLBASE_C	=80020000
DLBASE_U	=a0020000
