#
# MALTA32R2B/sbd.mk: MTI Malta board, MIPS32R2, soft-float, big-endian
#

include $(KITDIR)/malta/sbd.mk

CPU		=4kec
ISA		=-mips32r2
FPU		=no
ENDIAN		=-EB

# Supports ThreadX
THREADFEATURES	+=threadx

# Supports ThreadX applications with only 'main' entry-points
THREADFEATURES  +=tx_main

# Supports ThreadX applications using the EL POSIX layer with only
# 'main' entry-points
THREADFEATURES  +=tx_posix
