#
# MALTA32R2FB/sbd.mk: MTI Malta board, MIPS32R2, hard-float, big-endian
#

include $(KITDIR)/malta/sbd.mk

CPU		=24kf
ISA		=-mips32r2
FPU		=-mfp64
ENDIAN		=-EB

# Supports ThreadX
THREADFEATURES	+=threadx

# Supports ThreadX applications with only 'main' entry-points
THREADFEATURES  +=tx_main

# Supports ThreadX applications using the EL POSIX layer with only
# 'main' entry-points
THREADFEATURES  +=tx_posix
