#
# MSIM32L/sbd.mk: MIPSsim MIPS32, soft-float, little-endian
# 4Kc/m/p, 4KEc/m/p
#

include $(KITDIR)/mipssim/sbd.mk
CPU		=4kc
ISA		=-mips32
FPU		=no
ENDIAN	  	=-EL

# Supports ThreadX
THREADFEATURES	+=threadx

# Supports ThreadX applications with only 'main' entry-points
THREADFEATURES  +=tx_main

# Supports ThreadX applications using the EL POSIX layer with only
# 'main' entry-points
THREADFEATURES  +=tx_posix

