#
# P4000B/sbd.mk: Algorithmics P4000 board (big-endian)
#

SBDDIRS		=../P4000B
SBDFLAGS  	=-DP4000 -DINET
KITFLAGS	=-DALGPMON
CPU	  	=r4k
FPU		=yes
CPUVARIANT	=#r4600
ISA		=-mips3 -mgp32
ENDIAN	  	=-EB

#RTPX		=yes

DBGSIG		=sbddbg

NVENV		=nvenv

SBDSRC		=sbdreset.sx sbdser.sx sbdmisc.sx \
		 sbdfreq.c sbdnvram.c

SBDLOW		=sbdreset.o sbdser.o sbdmisc.o 

SBDOBJ		=sbdser.o sbdmisc.o sbdfreq.o sbdnvram.o r4kclock.o mk48t02.o

MONITOR		=pmon

# define lowest safe address for downloadable programs (cached & uncached)
DLBASE_C	=80020000
DLBASE_U	=a0020000
