#
# RACERX/sbd.mk: LSI Logic Racer/X
# 
# For our purposes the board is identical to the Pocket Rocket,
# except that it can only have an LR33020 fitted.
#

SBDDIRS		=../LSIPR
SBDFLAGS  	=-DRACERX
CPU	  	=r3k
CPUVARIANT	=lr33k
CACHES		=lr30
WPOINTS	  	=r3k
FPU		=no
TLB		=no

SBDSRC		=sbdser.sx sbdmisc.sx sbdclock.c
#SBDLOW		=we don't have any rom startup code yet
SBDOBJ		=sbdser.o sbdmisc.o sbdclock.o
MONITOR		=pmon

# define lowest safe address for downloadable programs (cached & uncached)
DLBASE_C	=80020000
DLBASE_U	=a0020000
