#
# Use SDE versions of gnu tools.
#

ifeq ($(SDEPREFIX),)
SDEPREFIX=mips-sde-elf-
endif
AS	= $(SDEPREFIX)gcc -fdollars-in-identifiers
CC	= $(SDEPREFIX)gcc -fdollars-in-identifiers
C++	= $(SDEPREFIX)gcc
CXX	= $(SDEPREFIX)gcc
LINK	= $(SDEPREFIX)ld
AR	= $(SDEPREFIX)ar
RANLIB	= $(SDEPREFIX)ranlib
SIZE	= $(SDEPREFIX)size
STRIP	= $(SDEPREFIX)strip
CONV	= $(SDEPREFIX)conv

ifndef SDETOP
ifdef DEPTH
SDETOP=$(DEPTH)/..
else
SDETOP=../..
endif
endif

## specials for private include and library
ifdef LOCALDIRS
 STDINCDIR=-nostdinc -isystem $(SDETOP)/include
 STDLIBDIR=-B$(SDETOP)/lib/c/OBJ/ -B$(SDETOP)/lib/math/OBJ/ -B$(SDETOP)/lib/ieee/OBJ/
endif

# override HPUX ar flags
ARFLAGS = rcs

#
# Add support for .sx extension, equivalent to .S
#

SUFFIXES += .sx

%.sx:

%: %.sx
	$(LINK.S) $^ $(LOADLIBES) $(LDLIBS) -o $@

%.o: %.sx
	$(COMPILE.S) $< -c $(OUTPUT_OPTION)

%.s: %.sx
	$(PREPROCESS.S) $< > $@

%.o: %.s
	$(COMPILE.S) $< -c $(OUTPUT_OPTION)
